{ =====================================================
 Copyright (C) 2007 Francisco A. Ocana & Pablo Onate 

 This file is part of IndElec

 IndElec is free software: you can redistribute it and/or modify
 it under the terms of the GNU General Public License as published by
 the Free Software Foundation, either version 3 of the License, or
 (at your option) any later version.

 IndElec is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.

 You have received a copy of the GNU General Public License
 in a file called COPYING which you should have received with
 IndElec. If not, see <http://www.gnu.org/licenses/>.
 ===================================================== 
}
unit DIMEN;

{ Main unit of the module Dimensi with levels of data aggregation
}

INTERFACE

uses COMUN;

procedure pDimeDesprxNiv(var camino: TcaminFi);




IMPLEMENTATION

uses DIMAUXN, DIMENSIU, DIMREG,
     DIMINOUN, DIMINOUS, DIMINOUH, UMATRICI, UMACSV;


procedure pDimeDesprxNiv(var camino: TcaminFi);

  var NoNiveleUti, IndNivelAgrMx: byte;

{  IndNivelAgrMx: Indice del nivel de agregacin mximo
   NoNiveleUti :  Indice del nivel de agregacin mnimo }

Begin
  NuNiveleUtif(NoNiveleUti, IndNivelAgrMx, camino);

{ Los valores de NoNiveleUti e IndNivelAgrMx estn ya
  inicializados. }
  
  pDimDNivel(camino, NoNiveleUti, IndNivelAgrMx);

  pDimension(camino, NoNiveleUti, IndNivelAgrMx);

  pRegionalismo(camino, NoNiveleUti, IndNivelAgrMx);

  ShowFiTXT(camino,NoNiveleUti,IndNivelAgrMx);
  ShowFiCSV(camino,NoNiveleUti,IndNivelAgrMx);
  ShowFiHTML(camino,NoNiveleUti,IndNivelAgrMx);

  MatriDD(camino, NoNiveleUti, IndNivelAgrMx);
  MatrDDCSV(camino, NoNiveleUti, IndNivelAgrMx);

  MatriRegional(camino, NoNiveleUti, IndNivelAgrMx);
  MtCSVRegional(camino, NoNiveleUti, IndNivelAgrMx);
End;

END.
