{ =====================================================
 Copyright (C) 2007 Francisco A. Ocana & Pablo Onate 

 This file is part of IndElec

 IndElec is free software: you can redistribute it and/or modify
 it under the terms of the GNU General Public License as published by
 the Free Software Foundation, either version 3 of the License, or
 (at your option) any later version.

 IndElec is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.

 You have received a copy of the GNU General Public License
 in a file called COPYING which you should have received with
 IndElec. If not, see <http://www.gnu.org/licenses/>.
 ===================================================== 
}
unit UDOS;

{
Routines for deleting files containing old calculations.
}

INTERFACE

uses COMUN, SysUtils;

procedure Remueve(var camino: TcaminFi; exte: TextenFi);


IMPLEMENTATION

 
procedure Remueve(var camino: TcaminFi; exte: TextenFi);
{
This procedure removes the files with the extension "exte" in the
data directory.
}

  var DirInfo: TSearchRec;
      g: Tfichero;
      DosErr: integer;

Begin
  DosErr:= FindFirst(camino+'*.'+exte, faArchive, DirInfo);

  while DosErr = 0 do
    begin
      assign(g, camino+DirInfo.Name);  erase(g);

      DosErr:= FindNext(DirInfo);
    end;
End;


END.
