{ =====================================================
 Copyright (C) 2007 Francisco A. Ocana & Pablo Onate 

 This file is part of IndElec

 IndElec is free software: you can redistribute it and/or modify
 it under the terms of the GNU General Public License as published by
 the Free Software Foundation, either version 3 of the License, or
 (at your option) any later version.

 IndElec is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.

 You have received a copy of the GNU General Public License
 in a file called COPYING which you should have received with
 IndElec. If not, see <http://www.gnu.org/licenses/>.
 ===================================================== 
}
unit Utimedid;

interface

uses WinTypes, WinProcs, Classes, Graphics, Forms, Controls, Buttons,
  StdCtrls, ExtCtrls, Dialogs;

type
  TBtnRightDlg1 = class(TForm)
    OKBtn: TBitBtn;
    CancelBtn: TBitBtn;
    RadioGroup1: TRadioGroup;
    RadioGroup2: TRadioGroup;
    procedure CancelBtnClick(Sender: TObject);
    procedure OKBtnClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

 var BtnRightDlg1: TBtnRightDlg1;
     Dimensi,
     Agregados: boolean;

implementation

{$R *.DFM}

procedure TBtnRightDlg1.CancelBtnClick(Sender: TObject);
begin
  close;
end;

procedure TBtnRightDlg1.OKBtnClick(Sender: TObject);
begin
  Dimensi:= RadioGroup1.ItemIndex = 0;
  Agregados:= RadioGroup2.ItemIndex = 0;

  close;
end;


begin
  Dimensi := TRUE;
  Agregados:= TRUE;

end.
