{ =====================================================
 Copyright (C) 2007 Francisco A. Ocana & Pablo Onate 

 This file is part of IndElec

 IndElec is free software: you can redistribute it and/or modify
 it under the terms of the GNU General Public License as published by
 the Free Software Foundation, either version 3 of the License, or
 (at your option) any later version.

 IndElec is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.

 You have received a copy of the GNU General Public License
 in a file called COPYING which you should have received with
 IndElec. If not, see <http://www.gnu.org/licenses/>.
 ===================================================== 
}
unit ESCISIO;

INTERFACE
{$n+}

uses COMUN, VOLDEF;

function fIEscision(var Pvol: PVecVolati; var dimVol: TRgPartido;
                    var VOTOS: boolean): Tnumero;
{
The Arian & Weiss index
}


IMPLEMENTATION

function fIEscision(var Pvol: PVecVolati; var dimVol: TRgPartido;
                    var VOTOS: boolean): Tnumero;

  var i: TRgPartido;
      ac: Tnumero2;
Begin
  ac:= 0;

  if VOTOS
  then
     for i:= 0 to dimVol do ac:= ac + SQR(PVol^[i].Vp)
  else
     for i:= 0 to dimVol do ac:= ac + SQR(PVol^[i].Ep);

  fIEscision:= ac/Succ(dimVol);
End;


END.
