{ =====================================================
 Copyright (C) 2007 Francisco A. Ocana & Pablo Onate 

 This file is part of IndElec

 IndElec is free software: you can redistribute it and/or modify
 it under the terms of the GNU General Public License as published by
 the Free Software Foundation, either version 3 of the License, or
 (at your option) any later version.

 IndElec is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.

 You have received a copy of the GNU General Public License
 in a file called COPYING which you should have received with
 IndElec. If not, see <http://www.gnu.org/licenses/>.
 ===================================================== 
}
unit VOLATIL;

{
Main unit of the module Volati with levels of data aggregation
}

INTERFACE

uses COMUN;

function volatilidad(var infoFixx: TOInfoFich): boolean;

IMPLEMENTATION

uses VolaDim, VolaInOu, VolInOuH, VolInOuS, uMatrici,
  uMaCSV;


function volatilidad(var infoFixx: TOInfoFich): boolean;

  var NoNiveleUt, IndNivelAgrMx: byte;
      cami1, cami2: TcaminFi;

Begin
  if pVolatility(cami1, cami2, infoFixx, NoNiveleUt,
                 IndNivelAgrMx) then
    begin
      volatilidad:= TRUE;
      exit;
    end;

  ShowVolTXT(cami1, cami2, infoFixx, NoNiveleUt, IndNivelAgrMx);
  ShowVolCSV(cami1, cami2, infoFixx, NoNiveleUt, IndNivelAgrMx);
  ShowVolHTML(cami1, cami2, infoFixx, NoNiveleUt, IndNivelAgrMx);


  MatriVolatilidad(cami2, infoFixx, NoNiveleUt, IndNivelAgrMx);

  MCSVVolatilidad(cami2, infoFixx, NoNiveleUt, IndNivelAgrMx);

  volatilidad:= FALSE;
End;

{ end of volatil }
END.
